P4_ASM_CREATE_CODE(3)

NAME
p4_asm_create_code - CODE ( "name" -- )

SYNOPSIS

#include <pfe/assembler-ext.h>

FCode p4_asm_create_code(---);

DESCRIPTION

call ALSO and add ASSEMBLER wordlist if available. Add PROC ENTER assembler snippet as needed for the architecture into the PFA. The CFA is setup (a) with the PFA adress in traditional ITC or (b) with an infoblock as for sbr-coded colon words.

Remember that not all architectures are support and that the ASSEMBLER wordset is not compiled into pfe by default. Use always the corresponding END-CODE for each CODE start. The new word name is not smudged.

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) 2008 Guido U. Draheim <guidod@gmx.de>